Groovy 1.7.0

## groovy.swing.factory
Class SwingBorderFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.SwingBorderFactory

    class SwingBorderFactory
    extends AbstractFactory

Constructor Summary
`SwingBorderFactory()`

Method Summary
`boolean` | `isLeaf()`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)`
`void` | `setParent(FactoryBuilderSupport builder, Object parent, Object child)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### SwingBorderFactory

    SwingBorderFactory()

Method Detail

### isLeaf

    public boolean isLeaf()

### onHandleNodeAttributes

    public boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)

### setParent

    public void setParent(FactoryBuilderSupport builder, Object parent, Object child)

Copyright © 2003-2009 The Codehaus. All rights reserved.